Problem installing on fresh ubuntu 16.04
  • I was trying to install Superdesk on Ubuntu 16.04 through the script found in https://raw.githubusercontent.com/superdesk/fireq/master/files/superdesk/install  
    and I have not had good results. Redis, mongodb, elasticsearch node and npm are installed well as well as the processes of Build and Virtualenv (so they are marked inside the script) but at the time of installing the source code an error prevented me to continue:

    When you try to install the requirements when websockets 3.3 arrives it gives an error like this:

    downloading websockets-3.2.tar.gz
    complete oupput from command python setup.py egg_info:
    Traceback (most recent call last):
    File "<string>", line 1, in <module>
    File "/tmp/pip-build-CimV2v/websockets/setup.py", line 19, in <module>
    with open(os.path.join(root, 'README'), encoding='utf-8') as f:
    TyperError: 'encoding' is an invalid keyword argument for this function

    ------------------------------------------------
    Command "python setup.py egg_info2 failed with error code 1 in /tmp/pip-build-CimV2v/websockets



    Any help?
    Thanks!!!
    Post edited by Marcelo Moglione at 2017-08-24 19:31:07
  • 1 Comment sorted by
  • Problem Solved!!!!